%define name smeserver-systemd-control
%define version 0.1
%define release 1
Summary: Perl module to check systemd services
Name: %{name}
Version: %{version}
Release: %{release}
License: GNU GPL version 2
URL: http://libreswan.org/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 10.0
Requires: python3

AutoReqProv: no

%description
This module adds some systemd checks and commands for services

%changelog
* Wed Oct 14 2020 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-1.sme
 - Initial build

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist


%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist

%defattr(-,root,root)

%pre
%preun
%post


echo "****************************************"
echo "https://wiki.contribs.org/SystemdControl"
echo "****************************************"

%postun
